Method: projects.locations.instances.getCertificateAuthority

קבלת פרטים על רשות האישורים של מופע.

בקשת HTTP


GET https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*}/certificateAuthority

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
name

string

חובה. השם של רשות האישורים. פורמט: projects/{project}/locations/{location}/instances/{instance}/certificateAuthority

גוף הבקשה

גוף הבקשה צריך להיות ריק.

גוף התשובה

רשות אישורים למופע.

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
שדות
name

string

מזהה. שם ייחודי של רשות האישורים. פורמט: projects/{project}/locations/{location}/instances/{instance}

מידע על רשות האישורים של השרת. הרשימה הבאה כוללת שדות שאי אפשר להשתמש בהם בו-זמנית. בכל תשובה יוגדר לכל היותר אחד מהשדות:
managedServerCa

object (ManagedCertificateAuthority)

רשות אישורים מנוהלת של שרת.

סוף השדות הבלעדיים.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write
  • https://www.googleapis.com/auth/memorystore.read-only

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב name:

  • memorystore.instances.get

מידע נוסף מופיע במאמרי העזרה בנושא IAM.

ManagedCertificateAuthority

רשות אישורים מנוהלת.

ייצוג ב-JSON
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
שדות
caCerts[]

object (CertChain)

שרשראות של אישורי CA בהצפנת PEM לאימות שרת מנוהל.

CertChain

שרשרת אישורים.

ייצוג ב-JSON
{
  "certificates": [
    string
  ]
}
שדות
certificates[]

string

האישורים שמרכיבים את שרשרת ה-CA בסדר מהקצה ועד הבסיס.